Subject: [bug#52279] [PATCH] gnu: Add emacs-cc-mode.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 04 Dec 2021 19:28:22 +0100

Am Samstag, den 04.12.2021, 18:48 +0100 schrieb Nicolas Goaziou:
> Hello,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > * gnu/packages/emacs-xyz.scm (emacs-cc-mode): New variable.
> 
> Thank you.
> 
> LGTM, barring one comment below:
> 
> > +    "CC Mode is an Emacs and XEmacs mode for editing C and other
> > languages with
> > +similar syntax; currently C++, Objective-C, Java, CORBA's IDL,
> > Pike, and AWK.
> > +It's a standard package in both Emacs and XEmacs.  This package
> > provides the
> > +upstream release rather than the version bundled with Emacs.")
> 
> We didn't add the last sentences for other packages in the same
> situation (e.g., Tramp, Org…). I think you should remove it.
Thanks for the review, but this was sent in error; the "real" cc-mode
patch was sent as 52127 first (but is identical to this one).  I'll
still push it with that adjustment if there's nothing else, though.

Cheers